> ## Documentation Index
> Fetch the complete documentation index at: https://docs.retab.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete Workflow Eval

> Delete a workflow eval.

Identified by `eval_id`. Returns 204 on success and 404 if no eval with
that ID exists.

Delete a workflow eval. Returns 204 on success. Run records associated with the
deleted eval are kept in the run-records collection (they remain queryable by
`run_record_id` if you cached one) but no longer surface from the eval's `runs`
endpoint.

<RequestExample>
  ```python Python theme={null}
  from retab import Retab

  client = Retab()

  client.workflows.evals.delete(
      eval_id="wfnodeeval_hsLEQiM61ez9Piv147MWk",
  )
  ```

  ```typescript TypeScript theme={null}
  import { Retab } from "@retab/node";

  const client = new Retab({ apiKey: process.env.RETAB_API_KEY });

  await client.workflows.evals.delete("wfnodeeval_hsLEQiM61ez9Piv147MWk");
  ```

  ```go Go theme={null}
  package main

  import (
  	"context"
  	"log"

  	retab "github.com/retab-dev/retab/clients/go"
  )

  func ptr[T any](v T) *T { return &v }

  func main() {
  	ctx := context.Background()

  	client, err := retab.NewClient("")
  	if err != nil {
  		log.Fatal(err)
  	}

  	if err := client.Workflows.Evals.Delete(ctx, "wfnodeeval_hsLEQiM61ez9Piv147MWk"); err != nil {
  		log.Fatal(err)
  	}
  }
  ```

  ```ruby Ruby theme={null}
  require 'retab'

  client = Retab::Client.new(api_key: ENV['RETAB_API_KEY'])

  client.workflows.evals.delete(eval_id: 'wfnodeeval_hsLEQiM61ez9Piv147MWk')
  ```

  ```rust Rust theme={null}
  use retab::Retab;

  #[tokio::main]
  async fn main() -> Result<(), Box<dyn std::error::Error>> {
      let client = Retab::new(std::env::var("RETAB_API_KEY")?);

      client
          .workflows()
          .evals()
          .delete("wfnodeeval_hsLEQiM61ez9Piv147MWk")
          .await?;
      Ok(())
  }
  ```

  ```php PHP theme={null}
  <?php
  require 'vendor/autoload.php';

  use Retab\Client;

  $client = new Client(apiKey: getenv('RETAB_API_KEY'));

  $client->workflows()->evals()->delete(
      evalId: 'eval_abc123',
  );
  echo "Deleted\n";
  ```

  ```csharp C# theme={null}
  using Retab;
  using RetabClient = Retab.Retab;

  var apiKey = Environment.GetEnvironmentVariable("RETAB_API_KEY")!;
  var client = new RetabClient(apiKey);

  await client.Workflows.Evals.DeleteAsync("eval_abc123");
  Console.WriteLine("Deleted");
  ```

  ```java Java theme={null}
  import com.retab.RetabClient;
  import com.retab.workflowevals.WorkflowEvalsApi;

  public final class Example {
    public static void main(String[] args) throws Exception {
      RetabClient client = new RetabClient(System.getenv("RETAB_API_KEY"));

      var result = new WorkflowEvalsApi(client).delete("eval_abc123");
      System.out.println(result);
    }
  }
  ```

  ```curl cURL theme={null}
  curl -X 'DELETE' \
    'https://api.retab.com/v1/workflows/evals/wfnodeeval_hsLEQiM61ez9Piv147MWk' \
    -H 'Authorization: Bearer <your-api-key>'
  ```
</RequestExample>

<ResponseExample>
  ```http 204 theme={null}
  HTTP/1.1 204 No Content
  ```

  ```json 404 theme={null}
  {
    "detail": "Workflow eval not found: wfnodeeval_hsLEQiM61ez9Piv147MWk"
  }
  ```
</ResponseExample>


## OpenAPI

````yaml DELETE /v1/workflows/evals/{eval_id}
openapi: 3.1.0
info:
  title: FastAPI
  version: 0.1.0
servers:
  - url: https://api.retab.com
security: []
paths:
  /v1/workflows/evals/{eval_id}:
    delete:
      tags:
        - Workflows
        - Workflow Evals
      summary: Delete Workflow Eval
      description: |-
        Delete a workflow eval.

        Identified by `eval_id`. Returns 204 on success and 404 if no eval with
        that ID exists.
      operationId: delete_workflow_eval
      parameters:
        - in: path
          name: eval_id
          required: true
          schema:
            type: string
            title: Eval Id
      responses:
        '204':
          description: Successful Response
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - HTTPBearer: []
components:
  schemas:
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
          default: []
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
          default: null
        ctx:
          type: object
          title: Context
          default: {}
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````